# Enum TStatus._Fields

java.lang.Object
java.lang.Enum<TStatus._Fields>
com.databricks.jdbc.model.client.thrift.generated.TStatus._Fields

All Implemented Interfaces:
  `Serializable`, `Comparable<TStatus._Fields>`, `java.lang.constant.Constable`, `org.apache.thrift.TFieldIdEnum`

Enclosing class:
  `TStatus`

public static enum TStatus._Fields extends Enum<TStatus._Fields> implements org.apache.thrift.TFieldIdEnum
The set of fields this struct contains, along with convenience methods for finding and manipulating them.

## Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DISPLAY_MESSAGE`
`ERROR_CODE`
`ERROR_DETAILS_JSON`
`ERROR_MESSAGE`
`INFO_MESSAGES`
`SQL_STATE`
`STATUS_CODE`

## Method Summary

Modifier and Type
Method
Description
`static TStatus._Fields`
`findByName(String name)`
Find the _Fields constant that matches name, or null if its not found.
`static TStatus._Fields`
`findByThriftId(int fieldId)`
Find the _Fields constant that matches fieldId, or null if its not found.
`static TStatus._Fields`
`findByThriftIdOrThrow(int fieldId)`
Find the _Fields constant that matches fieldId, throwing an exception if it is not found.
`String`
`getFieldName()`
`short`
`getThriftFieldId()`
`static TStatus._Fields`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TStatus._Fields[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### STATUS_CODE

public static final TStatus._Fields STATUS_CODE

See Also:
  - `TStatusCode`

### INFO_MESSAGES

public static final TStatus._Fields INFO_MESSAGES

### SQL_STATE

public static final TStatus._Fields SQL_STATE

### ERROR_CODE

public static final TStatus._Fields ERROR_CODE

### ERROR_MESSAGE

public static final TStatus._Fields ERROR_MESSAGE

### DISPLAY_MESSAGE

public static final TStatus._Fields DISPLAY_MESSAGE

### ERROR_DETAILS_JSON

public static final TStatus._Fields ERROR_DETAILS_JSON

## Method Details

### values

public static TStatus._Fields[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static TStatus._Fields valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### findByThriftId

public static TStatus._Fields findByThriftId(int fieldId)
Find the _Fields constant that matches fieldId, or null if its not found.

### findByThriftIdOrThrow

public static TStatus._Fields findByThriftIdOrThrow(int fieldId)
Find the _Fields constant that matches fieldId, throwing an exception if it is not found.

### findByName

public static TStatus._Fields findByName(String name)
Find the _Fields constant that matches name, or null if its not found.

### getThriftFieldId

public short getThriftFieldId()

Specified by:
  `getThriftFieldId` in interface `org.apache.thrift.TFieldIdEnum`

### getFieldName

public String getFieldName()

Specified by:
  `getFieldName` in interface `org.apache.thrift.TFieldIdEnum`